<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\PdfListen\KurseListen\PrintKurseListen;

class PrintKurseListen extends \Kufer\KuferTools\Basis\PdfListen\PrintPdfListen\PrintPdfListenPresenter
{
  private $fehlerMsg = '';
  
  protected function _printPDF()
  {
    if(!$this->useCaseResponse->listObj->create($this->useCaseResponse->dnr, $this->useCaseResponse->printAllowed4User)) { 
      if (isset($this->useCaseResponse->listObj->warnText) && $this->useCaseResponse->listObj->warnText != '') {
        $this->fehlerMsg = $this->useCaseResponse->listObj->warnText;
      } else {
        $this->keineDaten = true;
      }
      echo \Kufer\KuferTools\Basis\Presenter\MitRahmenPresenter::present();
    }
  }
  
  protected function getErrorInfo()
  {
    if ($this->keineDaten) {
      $listname = get_class($this->useCaseResponse->listObj);
      return 'Für die Liste ' . $listname . ' wurden für diese Auswahl keine Daten gefunden!';
    } 
    elseif ($this->fehlerMsg != '') {
      return $this->fehlerMsg;
    }
    else {
      return ' Sie haben keine Zugriffsberechtigung auf einen oder mehrere der angefragten Kurse. Bitte setzen Sie sich mit der Einrichtung' .
              ' in Verbindung, damit diese Ihnen die entsprechenden Rechte gibt.';
    }
  }
  
}